#include <stdio.h>
#include "..\..\lib\8000E.h"
#include "..\..\lib\DCON_FUN.h"
#include <stdlib.h>
#include <string.h>

void main()
{
    int iRet,iAddress,iSingleChannel,iComPort,iCheckSum,iTimeOut,iSlot,iTotalChannel;
    int iValue,iBitValue;
    unsigned char cTemp[10],sTemp[5];
    unsigned long lBaudrate; 
    
    InitLib();
    
    Print("Please Input Comport Number:");
    LineInput(cTemp,10);               
    sscanf(cTemp,"%d",&iComPort);  
        
    Print("Please Input module's address(0~256) =");
    LineInput(cTemp,10);
    sscanf(cTemp,"%d",&iAddress);
    
    Print("Please Input Baudrate:");
    LineInput(cTemp,10);                  
    sscanf(cTemp,"%lu",&lBaudrate);         
    
    Print("Please Input slot's number(0~7).If the slave module is not I-8000, plese input -1.");
    LineInput(cTemp,10);
    sscanf(cTemp,"%d",&iSlot);
    
    Print("Please Input Total Do channel number :");
    LineInput(cTemp,10);            
    sscanf(cTemp,"%d",&iTotalChannel);  
    
    Print("Please Select Checksum(0:Disable or 1:Enable):");
    LineInput(cTemp,10);
    sscanf(cTemp,"%d",&iCheckSum);
    
    Print("Please Input TimeOut:");
    LineInput(cTemp,10);
    sscanf(cTemp,"%d",&iTimeOut);
    
    InstallCom(iComPort,lBaudrate,8,0,1);

    for(;;)
    {
        Print("Please Select a single Channel Number :");
        LineInput(cTemp,10);            
        sscanf(cTemp,"%d",&iSingleChannel);  
        
        Print("Please select output value 0 or 1 : ");
        LineInput(cTemp,10);            
        sscanf(cTemp,"%d",&iBitValue);        
        
        iRet=DCON_Write_DO_Bit(iComPort,iAddress,iSlot,iSingleChannel,
						iTotalChannel,iBitValue,iCheckSum,iTimeOut);
        Print("Successful!\n\r");
        
        Puts("\n\rPress 'q' or 'Q' to quit, other key to continue....");
        sTemp[0]=Getch();
        if(sTemp[0]=='q' || sTemp[0]=='Q')
            return;
        Puts("\n\r\n\r");
    
    }
}
