#include"..\..\..\lib\8000e.h"
#include<dos.h>

main(void)
{
  int i;

  if(!Is8000()) return;

  for (i=0; i<9; i++) {
	if (!Init8072(i)) {
		Print("find a 8072 in Slot_%d", i);
		test_sram(i);
	}
  }
}

test_sram(int SlotNum)
{
  int i,j,k,l;
  char c,cc;
  unsigned long addr,addr_max;

  addr_max=65536*4;	// 256K
  Print("\n\rS256 test start, addr_max=%lx, wait about 1 min",addr_max);

  ShowLed8072(SlotNum, 0x55);
  Print("\n\rWrite 256K bytes\n\r");
  for (addr=0; addr<addr_max; addr++) { // write pattern
	k=(addr+(addr>>10))&0xff;
	WriteSramByte8072(SlotNum,1,addr,k);
  }


  ShowLed8072(SlotNum, 0xAA);
  Print("\n\rVerify 256K bytes\n\r");

  i=0;
  for (addr=0; addr<addr_max; addr++) { // verify pattern
	ReadSramByte8072(SlotNum, 1, addr, &c);
	k=(addr+(addr>>10))&0xff;
	if (k!=(c&0xff))
	   Print("(%lx,%x)",addr,c&0xff);

	if (addr==1) Print("A0");
	else if (addr==2) Print(",A1");
	else if (addr==4) Print(",A2");
	else if (addr==8) Print(",A3");
	else if (addr==16) Print(",A4");
	else if (addr==32) Print(",A5");
	else if (addr==64) Print(",A6");
	else if (addr==128) Print(",A7");
	else if (addr==0x100) Print(",A8");
	else if (addr==0x200) Print(",A9");
	else if (addr==0x400) Print(",A10");
	else if (addr==0x800) Print(",A11");
	else if (addr==0x1000) Print(",A12");
	else if (addr==0x2000) Print(",A13");
	else if (addr==0x4000) Print(",A14");
	else if (addr==0x8000) Print(",A15");
	else if (addr==0x10000) Print(",A16");
	else if (addr==0x20000) Print(",A17");
	else if (addr==0x40000) Print(",A18");
	else if (addr==0x80000) Print(",A19");
  }


  Print(" *** END");

  ReadSramStatus8072(SlotNum, 1, &c);
  Print("\n\rSram Status=%x",c&0xff);
}
