/*
  DEMO91.C
   Demonstration for use Timer functions.
   use CountDownTimer channel 0 for LED ON/OFF
*/
#include<stdio.h>
#include"..\lib\8000.h"

void main(void)
{ int LedMode=0;
  unsigned long value;
  int quit=0;
  unsigned Ver;

  if(!Is8000()){
     Print("\ndemo91.exe must run on I-8000 with MiniOS7");
     return;
  }
  Ver=GetLibVersion();
  Print("\n\rLib version=%d.%02d",Ver>>8,Ver&0xff);
  Print("\n\rTest CountDownTimer...");
  Print("\n\rNow LED must flash once every second");
  Print("\n\rPress 'q' to quit\n\r");
  TimerOpen();
  SetLedL1(LED_OFF);
  CountDownTimerStart(0,500);
  while(!quit){
     if(Kbhit()){
	switch(Getch()){
	  case 'q':
	       quit=1;
	       break;
	}
     }
     CountDownTimerReadValue(0,&value);
     if(value==0){
	CountDownTimerStart(0,500);
	if(LedMode){
	   LedMode=0;
	   SetLedL1(LedMode);
	   Print("\rLed:L1 Off");
	}
	else {
	   LedMode=1;
	   SetLedL1(LedMode);
	   Print("\rLed:L1  On");
	}
     }
  }
  TimerClose();
  SetLedL1(LED_ON);
  Print("\rLed:L1  On\n\r");
}

