/*
1. Compiler: TC 2.0
2. Mode: Large
3. Project: Init.prj
   	    Init.c
	    ..\lib\8000l.lib
	    ..\lib\tcpipl.lib
4. Explain: To check the init pin connecting the GND or not.
5. Hordware: 8831
It's compiled by Tony
-----------------------------------------------------------------------------------
*/

#include<stdlib.h>
#include<stdio.h>
#include<conio.h>
#include<dos.h>
#include<string.h>
#include"..\LIB\8000.h"
#include"..\LIB\vxcomm.h"
/*----------------------------------------------------------------------------------*/

unsigned long far * const TimeTick=(unsigned long far *)0x0040006C;

void Delay0(unsigned t)
{ unsigned long t0=*TimeTick+t;

  while(*TimeTick<t0) ;
}

void main(void)
{ int quit=0;
  int type;
  int ver;

  type=Is8000();		/*detect the current operation system*/
   if(type)
     {
     ver=GetLibVersion();
     Print("Hello 8831! (Flash memory is %d K)\n\r",type);
     Print("Library version is %d.%02d",ver>>8,ver&0xff);
     }
   else
     {
     Print("Hello PC!, this program is not run under I-8831.");
     return;
     }
  Print("\r\nPress 'q' to puit program...");
  while(!quit){
    if(ReadInitPin()){
       Print("\n\rInit pin is Close to COM");
    }
    else {
       Print("\n\rInit pin is Open");
    }
    Delay0(100);
    if(Kbhit()){
       Getch();
       quit=1;
    }
  }
}