/*
1. Compiler: TC 2.0
2. Mode: Large
3. Project: Demo92.prj
   	    Demo92.c
	    ..\lib\8000l.lib
	    ..\lib\tcpipl.lib
4. Explain: (1). Demonstration for use Timer functions.
   	    (2). To use StopWatch channel 0 for LED ON/OFF.
5. Hordware: 8831
It's compiled by Tony
-----------------------------------------------------------------
*/

#include<stdlib.h>
#include<stdio.h>
#include<conio.h>
#include<dos.h>
#include<math.h>
#include<string.h>
#include"..\lib\8000.h"
/*--------------------------------------------------------------*/

void main(void)
{ 
  int LedMode=0;
  unsigned long value;
  int quit=0;
  unsigned Ver;

  if(!Is8000())			/*detect the current operation system*/
  {		
     Print("\ndemo92.exe must run on I-8000 with MiniOS7");
     return;
  }
 
  Ver=GetLibVersion();
  Print("\n\rLib version=%01d.%02d",Ver>>8,Ver&0xff);
  Print("\n\rTest StopWatch ...");
  Print("\n\rNow LED 'L1' must flash once every second");
  Print("\n\rPress 'q' to quit\n\r");
  TimerOpen();
  SetLedL1(LED_OFF);
  StopWatchStart(0);
  while(!quit){
     if(Kbhit()){
	switch(Getch()){
	  case 'q':
	       quit=1;
	       break;
	}
     }
     StopWatchReadValue(0,&value);
     if(value>=500){
	StopWatchStart(0);
	if(LedMode){
	   LedMode=0;
	   SetLedL1(LED_OFF);
	   Print("\rL1:Off");
	}
	else {
	   LedMode=1;
	   SetLedL1(LED_ON);
	   Print("\rL1: On");
	}
     }
  }
  TimerClose();
  LedRunOn();
}

