/*
1. Compiler: TC 2.0
2. Mode: Large
3. Project: Eeprom-r.prj
   	    Eeprom-r.c
	    ..\lib\8000l.lib
	    ..\lib\tcpipl.lib
4. Explain: Reading the data you writing to EEPROM.
5. Hordware: 8831 with Eeprom
It's compiled by Tony
-----------------------------------------------------
*/

#include<stdlib.h>
#include<stdio.h>
#include<conio.h>
#include<dos.h>
#include<string.h>
#include"..\LIB\8000.h"
#include"..\LIB\vxcomm.h"
/*-----------------------------------------------------*/
main()
{ int i,j,addr=0,data;

  int type;
  int ver;
  type=Is8000();		/*detect the current operation system*/
   if(type)
     {
     ver=GetLibVersion();
     Print("Hello 8831! (Flash memory is %d K)\n\r",type);
     Print("Library version is %d.%02d",ver>>8,ver&0xff);
     }
   else
     {
     Print("Hello PC!, this program is not run under I-8831.");
     return;
     }
  
  while(addr<256)
    {
     DelayMs(10);
     Print("\n\r The value writing to 1 block address %d of EEPROM is %d",addr,ReadEEP(1,addr));
     addr++;
     if (addr%25==0){
     Print("\n\rPress any key to continue..."); Getch();
     }
     
     }
}